.\"	from: @(#)key.1	1.0 (Bellcore) 12/2/91
.\" $FreeBSD: src/usr.bin/key/key.1,v 1.5.2.2 2001/03/06 12:52:43 ru Exp $
.\" $DragonFly: src/usr.bin/key/key.1,v 1.3 2005/08/01 01:49:17 swildner Exp $
.\"
.Dd December 2, 1991
.Dt KEY 1
.Os
.Sh NAME
.Nm key
.Nd stand-alone program for computing responses to S/Key challenges
.Sh SYNOPSIS
.Nm
.Op Fl n Ar count
.Ar sequence
.Ar key
.Sh DESCRIPTION
.Nm Key
takes the optional count of the number of one time access
passwords to print
along with a (maximum) sequence number and key as command line arguments,
it prompts for the user's secret password, and produces both word
and hex format responses.
.Pp
The following option is available:
.Bl -tag -width Fl
.It Fl n Ar count
The number of one time access passwords to print.
The default is 1.
.El
.Sh EXAMPLES
Usage example:
.Bd -literal -offset indent -compact
>key -n 5 99 th91334
Enter password: <your secret password is entered here>
OMEN US HORN OMIT BACK AHOY
\&.... 4 more passwords.
>
.Ed
.Sh SEE ALSO
.Xr keyinfo 1 ,
.Xr keyinit 1 ,
.Xr skey 1
.\" .BR keysu(1),
.Sh AUTHORS
.An -nosplit
Command by
.An Phil Karn ,
.An Neil M. Haller ,
.An John S. Walden
.Sh CONTACT
.Aq staff@thumper.bellcore.com
